# Documentation

Menu

## Query

### Namespaces

Drivers
Exception

### Interfaces, Classes, Traits and Enums

QueryBuilderInterface
  Interface defining the Query Builder class
ConnectionManager
  Connection manager class to manage connections for the Query method
QueryBuilder
  Convenience class for creating sql queries
QueryBuilderBase
QueryParser
  Utility Class to parse sql clauses for properly escaping identifiers
State
  Query builder state
JoinType
  Enum of join types
LikeType
  'Enum' of join types
MapType
  Enum of query map types
QueryType
  Enum of query types

## Search results